# Visualization
TKV3d
AIS

# AIS_DataMapNodeOfDataMapOfILC Class Reference

`#include <AIS_DataMapNodeOfDataMapOfILC.hxx>`

## Public Member Functions

| AIS_DataMapNodeOfDataMapOfILC (const Standard_Integer &K, const Handle(AIS_LocalContext)&I, const TCollection_MapNodePtr &n)
Standard_Integer & | Key () const
Handle_AIS_LocalContext & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | myKey
Handle_AIS_LocalContext | myValue

## Constructor & Destructor Documentation

AIS_DataMapNodeOfDataMapOfILC::AIS_DataMapNodeOfDataMapOfILC | ( | const Standard_Integer & | K,
|  | const Handle(AIS_LocalContext)& | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const AIS_DataMapNodeOfDataMapOfILC::Handle | ( | Standard_Type |  | ) | const

Standard_Integer& AIS_DataMapNodeOfDataMapOfILC::Key | ( |  | ) | const

Handle_AIS_LocalContext& AIS_DataMapNodeOfDataMapOfILC::Value | ( |  | ) | const

## Field Documentation

Standard_Integer AIS_DataMapNodeOfDataMapOfILC::myKey `[private]`

Handle_AIS_LocalContext AIS_DataMapNodeOfDataMapOfILC::myValue `[private]`

The documentation for this class was generated from the following file:

- AIS_DataMapNodeOfDataMapOfILC.hxx